## file-kanji 1.1

=== Makefile ===
#
#CFLAGS	= -g

all	: file2

file2	: file2.o
	cc -o file2 file2.o

=== debian/changelog ===
file-kanji (1.1-20) unstable; urgency=medium

  * QA upload.
  * debian/control: created VCS fields.
  * debian/salsa-ci.yml: added to provide CI tests for Salsa.
  * debian/tests/control: added 'Restrictions' field to tests.

 -- Cesar Tulio Albuquerque de Almeida <cesar-tulio@hotmail.com>  Thu, 04 Jun 2020 02:45:47 -0300

file-kanji (1.1-19) unstable; urgency=medium

  * QA upload.
  * Reuploading sources-only to allow the package migrate to testing.

 -- Giovani Augusto Ferreira <giovani@debian.org>  Sat, 23 May 2020 16:35:22 -0300

file-kanji (1.1-18) unstable; urgency=medium

  * QA upload.
  * debian/control:
      - Added 'Rules-Requires-Root: no' in source stanza.
  * debian/copyright: updated to new format (1.0).
  * debian/patches:
      - Added a numeric prefix to patches' name.
      - Added 06-cross.patch to fix cross build from source.
        Thanks to Helmut Grohne <helmut@subdivi.de>. (Closes: #960292)
      - Added 07-hardening-flag.patch to improve GCC hardening.
  * debian/rules: added the DEB_BUILD_MAINT_OPTIONS variable to
    improve GCC hardening.
  * debian/tests/control: created to perform trivial tests.
  * debian/watch: added a fake site to explain about the
    status of upstream homepage.

 -- Cesar Tulio Albuquerque de Almeida <cesar-tulio@hotmail.com>  Tue, 19 May 2020 14:22:50 -0300

file-kanji (1.1-17) unstable; urgency=medium

  * QA upload.
  * Set Debian QA Group as maintainer. (see #897562)
  * Using new DH level format. Consequently:
      - debian/compat: removed.
      - debian/control: changed from 'debhelper' to 'debhelper-compat' in
        Build-Depends field and bumped level to 13.
  * debian/control: bumped Standards-Version to 4.5.0.

 -- Cesar Tulio Albuquerque de Almeida <cesar-tulio@hotmail.com>  Sat, 09 May 2020 15:07:54 -0300

file-kanji (1.1-16) unstable; urgency=low

  * Remove deprecated dpatch and upgrade to packaging format "3.0 quilt".
  * Update to Standards-Version to 3.9.3 and debhelper to 9.

 -- Hiroyuki Yamamoto <yama1066@gmail.com>  Fri, 30 Mar 2012 23:22:58 +0900

file-kanji (1.1-15) unstable; urgency=low

  * New maintainer, acknowledged by predecessor maintainer Kenshi Muto.
  * Add UTF-8 support.
  * Add the feature that calls 'file' command when file2 fails to detect the encoding of targets.
  * Upgrade to policy 3.7.2.
  * Introduce dpatch.

 -- Hiroyuki Yamamoto <yama1066@gmail.com>  Fri, 19 Oct 2007 22:44:48 +0900

file-kanji (1.1-14) unstable; urgency=low

  * Remove "read README" sentence from file2.1 man page (Closes: Bug#214854).
    Thanks Dan.

 -- Kenshi Muto <kmuto@debian.org>  Thu,  9 Oct 2003 09:29:53 +0900

file-kanji (1.1-13) unstable; urgency=low

  * Apply better decision patch. Thanks Kenichi Sato.

 -- Kenshi Muto <kmuto@debian.org>  Fri, 12 Apr 2002 11:31:02 +0900

file-kanji (1.1-12) unstable; urgency=low

  * Fix detecting routine of JISX0208-1978 and JISX0208-1983
    (Closes: Bug#120823). Thanks Akira.

 -- Kenshi Muto <kmuto@debian.org>  Sat, 24 Nov 2001 11:36:42 +0900

file-kanji (1.1-11) unstable; urgency=low

  * Correct spell miss (Closes: Bug#61404). Thanks, Yosuke.

 -- Kenshi Muto <kmuto@debian.org>  Fri, 31 Mar 2000 09:50:34 +0900

file-kanji (1.1-10) unstable; urgency=low

  * Fix for new policy.

 -- Kenshi Muto <kmuto@debian.org>  Fri,  8 Oct 1999 15:34:59 +0900

file-kanji (1.1-9) unstable; urgency=low

  * Move /usr/doc/file-kanji/README to /usr/share/doc/file-kanji/README.

 -- Kenshi Muto <kmuto@debian.org>  Wed,  8 Sep 1999 17:40:05 +0900

file-kanji (1.1-8) unstable; urgency=low

  * Fix source (Bug#44290).

 -- Kenshi Muto <kmuto@debian.org>  Mon,  6 Sep 1999 11:05:50 +0900

file-kanji (1.1-7) unstable; urgency=low

  * Fix some documents.

 -- Kenshi Muto <kmuto@debian.org>  Tue, 13 Jul 1999 10:50:25 +0900

file-kanji (1.1-6) unstable; urgency=low

  * Fix dependency.

 -- Kenshi Muto <kmuto@debian.org>  Tue,  1 Jun 1999 14:57:45 +0900

file-kanji (1.1-5) unstable; urgency=low

  * Change package name to file-kanji.

 -- Kenshi Muto <kmuto@debian.org>  Fri, 28 May 1999 11:18:42 +0900

file2 (1.1-4) unstable; urgency=low

  * Initial official release for Debian Project.

 -- Kenshi Muto <kmuto@debian.org>  Tue, 25 May 1999 15:39:49 +0900

file2 (1.1-3) unstable; urgency=low

  * compile with libc6.
  * new source format.

 -- Hayao Nakahara <nakahara@mis.hiroshima-u.ac.jp>  Sun, 17 May 1998 08:48:36 +0900

=== debian/control ===
Source: file-kanji
Section: misc
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper-compat (= 13)
Rules-Requires-Root: no
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/file-kanji
Vcs-Git: https://salsa.debian.org/debian/file-kanji.git

Package: file-kanji
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: file
Description: kanji code checker
 This package contains file2 command.
 File2 command tests the classification of Japanese text files
 into JIS, UTF-8, EUC-JP, SJIS, ascii, and UNKNOWN.
 If the file package is installed, the file command is executed
 instead of UNKNOWN.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_clean:
	rm -f *.o file2
override_dh_auto_install:
	install -m 755 file2 debian/file-kanji/usr/bin
	mkdir -p debian/file-kanji/usr/share/man/man1
	install -m 644 debian/file2.1 debian/file-kanji/usr/share/man/man1
override_dh_installdocs:
	dh_installdocs HEADER

=== debian/tests/control ===
Test-Command: file2 2>&1 | grep -i Usage
Restrictions: superficial

Test-Command: file2 /usr/share/doc/file-kanji/HEADER | grep EUC

Test-Command: file2 /usr/share/doc/file-kanji/README.Debian
Restrictions: superficial
